PLASMAENGINEEXPLO(1)

NOM
plasmaengineexplorer - Proporciona accés directe als motors de dades de plasma

SINOPSI

plasmaengineexplorer [--list] [--height píxels] [--width píxels] [-x píxels] [-y píxels] [--engine motor de dades] [--source motor de dades] [--interval ms] [--app aplicació]

plasmaengineexplorer [Opcions genèriques de KDE] [Opcions genèriques de Qt]

DESCRIPCIÓ

plasmaengineexplorer és una eina gràfica que permet als desenvolupadors provar els motors de dades Plasma sense escriure una miniaplicació Plasma.

Si no es donen opcions, s'iniciarà sense cap tipus de motor de dades seleccionat. El motor de dades les requerix i les podeu seleccionar d'una llista desplegable.

Només s'hi troben els motors de dades instal⋅lats. kbuildsycoca4 pot necessitar ser executat per a trobar els motors de dades de nova instal⋅lació.

OPCIONS

--list píxels
    Mostra una llista de motors coneguts i les seves descripcions.

--height
    Estableix l'alçada de la finestra, en píxels.

--width píxels
    Estableix l'amplada de la finestra, en píxels.

-x píxels
    Estableix la coordenada x (horitzontal) de la cantonada superior esquerra de la finestra, en píxels.

-y píxels
    Estableix la coordenada x (vertical) de la cantonada superior esquerra de la finestra, en píxels.

--engine motor de dades
    Engegueu plasmaengineexplorer amb el motor de dades seleccionat. motor de dades és el nom intern del motor de dades proposat per la clau X-KDE-PluginInfo-Name del fitxer desktop.

--source motor de dades
    Només vàlid en combinació amb --engine. Demana un motor de dades específic quan s'inicia plasmaengineexplorer.

--interval temps
    Estableix l'interval d'actualització de les fonts requerides a temps en mili-segons. Si no s'estableix, la font s'actualitzarà sobre demanda (per a algunes fonts, això serà quan estiguin disponibles les noves dades).

    Si s'especifica --source, aquest serà l'interval d'actualització que s'utilitzarà quan es demani aquesta font.

--app aplicació
    Només es mostren els motors associats amb l'aplicació pare; s'associa amb l'entrada X-KDE-ParentApp en el fitxer «.desktop» del DataEngine (motor de dades).

VEURE TAMBÉ

Hi ha informació més detallada disponible en help:/plasma-desktop (podeu introduir aquest URL en el Konqueror, o executar khelpcenterhelp:/plasma-desktop).

EXEMPLES

Carrega el motor de dades «time», mostra l'hora local i actualitza cada segon:

    plasmaengineexplorer --engine time --source Local --interval 1000

AUTORS

plasmaengineexplorer ha estat escrit per en Seigo, Aaron aseigo@kde.org.